Skip to main content
GET
/
v1
/
cdr
/
all
Export CDRs
curl --request GET \
  --url https://api.wavix.com/v1/cdr/all \
  --header 'Authorization: Bearer <token>'
"{\"charge\":\"0.0059\",\"date\":\"2023-08-28T15:43:31.000Z\",\"destination\":\"My trunk\",\"disposition\":\"answered\",\"duration\":26,\"forward_fee\":\"0.0\",\"from\":\"13524815863\",\"per_minute\":\"0.0059\",\"to\":\"12565378257\",\"uuid\":\"99df5ffd-962a-410f-bcce-d08f1f7f328c\"}\n{\"charge\":\"0.00325\",\"date\":\"2023-11-29T14:48:50.000Z\",\"destination\":\"United States\",\"disposition\":\"answered\",\"duration\":21,\"from\":\"17182444444\",\"per_minute\":\"0.0065\",\"to\":\"18007009909\",\"uuid\":\"aa566501-c591-4a8b-b3b9-cc1295398b72\",\"forward_fee\":\"0.003\"}"

Authorizations

Authorization
string
header
required

Bearer token using appid (Authorization: Bearer )

Query Parameters

from
string<date>
required

Start date in YYYY-MM-DD format.

Example:

"2023-01-01"

to
string<date>
required

End date in YYYY-MM-DD format.

Example:

"2023-09-01"

type
string
required

Call direction to filter results. Allowed values: placed, received.

Example:

"received"

disposition
enum<string>

Call disposition to filter results. Allowed values: answered, busy, rejected, failed, all. Call disposition.

Available options:
answered,
noanswer,
busy,
failed,
all

Originating phone number for filtering. Full or partial input accepted.

Example:

"13524815863"

Destination phone number for filtering. Full or partial input accepted.

Example:

"12565378257"

sip_trunk
string

SIP trunk login to filter outbound calls. Ignored for inbound calls.

Example:

"12321"

uuid
string

Call ID to filter results.

Example:

"99df5ffd-962a-410f-bcce-d08f1f7f328c"

page
integer<int32>

Page number to retrieve.

Example:

1

per_page
integer<int32>
default:25

Number of records per page.

Example:

25

Response

NDJSON stream of CDR records.

NDJSON stream of CDR records, one per line.